GET
/
nps
/
bill
/
funds
cURL
curl --request GET \
  --url https://apidev.nusd.me/nps/bill/funds \
  --header 'BIZ-API-KEY: <api-key>' \
  --header 'Biz-Api-Nonce: <api-key>' \
  --header 'Biz-Api-Signature: <api-key>'
{
  "status": 0,
  "data": {
    "total": 7,
    "total_amount_in": "12.664",
    "total_amount_out": "5.00303",
    "data": [
      {
        "wallet_id": "332cf3e4-af07-46f9-a3da-4aa2cbe3bdd4",
        "transaction_id": "aabc16f2-50e2-45f5-b28e-5f1a3595b347",
        "type": "Deposit",
        "amount": "9.9",
        "balance_before": "0",
        "balance_after": "9.9",
        "created_at": "2025-11-12T22:06:51.993Z",
        "confirmed_at": "2026-02-02T11:28:46.399Z"
      }
    ]
  },
  "msg": "<string>"
}

Authorizations

BIZ-API-KEY
string
header
required

API key. Must be included in the request header.

Biz-Api-Nonce
string
header
required

Timestamp. Must be included in the request header.

Biz-Api-Signature
string
header
required

Signature string. Must be included in the request header.

Query Parameters

wallet_id
string
required

Wallet ID.

Example:

"b2c13dba-7787-4db5-98e3-cff374dc04cd"

start
integer

Query start timestamp, in seconds.

Example:

1769996483

end
integer

Query end timestamp, in seconds.

Example:

1770601283

time_type
enum<string>
default:Completed

Match type for start and end: =Confirmed matches the transaction confirmation time; =Completed matches the completion time. (Optional. Default: =Completed.)

Available options:
Confirmed,
Completed
Example:

"Confirmed"

page
integer
default:1

Current page number.

Example:

1

num
integer
default:100

Items per page. Max: 1000. Default: 100.

Required range: x <= 1000
Example:

100

Response

Request succeeded. Returns the financial statement list.

status
integer

Status code. 0 indicates success.

Example:

0

data
object

Financial statement data.

msg
string

Error message. Present when status is non-zero.